List messages
Returns a paginated list of messages across all channels, with optional filters for channel, direction, status, conversation, contact, and date range.
Returns a paginated list of messages across all channels, with optional filters for channel, direction, status, conversation, contact, and date range.
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
page?string|null
limit?string|null
channel?|null
direction?|null
status?|null
conversationId?|null
contactId?|null
startDate?string|null
endDate?string|null
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/messages"{ "items": [ { "id": "string", "organizationId": "string", "conversationId": "string", "parentMessageId": "string", "fromActorId": "string", "actorMetadata": {}, "channel": "email", "direction": "outbound", "content": null, "metadata": {}, "status": "pending", "scheduledAt": "string", "tags": [ "string" ], "categories": [ "string" ], "isTest": true, "isInternal": true, "isAutomated": true, "externalId": "string", "referenceId": "string", "apiKeyId": "string", "httpMethod": "string", "apiRequestMetadata": null, "apiResponseMetadata": null, "createdAt": "string", "updatedAt": "string", "createdBy": "string", "fromContact": { "id": "string", "name": "string", "displayName": "string", "type": "string", "identities": [ { "channel": "email", "identifier": "string", "verified": true } ] }, "toContacts": [ { "id": "string", "name": "string", "displayName": "string", "type": "string", "identities": [ { "channel": "email", "identifier": "string", "verified": true } ] } ], "recipients": [ { "id": "string", "messageId": "string", "actorId": "string", "contactId": "string", "identityId": "string", "kind": "to", "address": "string", "status": "pending", "createdAt": "string", "updatedAt": "string", "contact": { "id": "string", "name": "string", "displayName": "string", "type": "string", "identities": [ { "channel": "email", "identifier": "string", "verified": true } ] } } ], "deliveries": [ { "scheduling": { "dueAt": "string", "expiresAt": "string", "waitReason": "rate" }, "id": "string", "messageId": "string", "recipientId": "string", "channel": "email", "status": "pending", "attemptCount": 0, "maxAttempts": 0, "queuedAt": "string", "claimedAt": "string", "lastAttemptAt": "string", "nextRetryAt": "string", "sentAt": "string", "deliveredAt": "string", "readAt": "string", "failedAt": "string", "terminalAt": "string", "errorCode": "string", "errorMessage": "string", "errorDetails": null, "cost": "string", "currency": "string", "idempotencyKey": "string", "metadata": null, "createdAt": "string", "updatedAt": "string" } ], "emailDeliveryDetails": [ { "deliveryId": "string", "messageIdHeader": "string", "inReplyTo": "string", "references": [ "string" ], "subject": "string", "fromEmail": "string", "fromName": "string", "toEmails": [ "string" ], "toName": "string", "ccEmails": [ "string" ], "bccEmails": [ "string" ], "replyToEmails": [ "string" ], "hasAttachments": true, "attachmentCount": 0, "listUnsubscribeUrl": "string", "listUnsubscribeEmail": "string", "threadPosition": 0, "newContent": "string", "quotedContent": "string", "hasQuotedContent": true, "dkimVerdict": "string", "spfVerdict": "string", "dmarcVerdict": "string", "isAutoReply": true, "autoReplyReason": "out-of-office", "priority": "string", "parsingErrors": [ "string" ], "parsingDuration": 0, "receivedAt": "string", "processedAt": "string", "createdAt": "string", "updatedAt": "string" } ] } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}